#include <bits/stdc++.h>

using namespace std;

int b[26];

int main(){
	ios::sync_with_stdio(false); cin.tie(0);
	int n,i; long long r=0; cin>>n;
	string s; getline(cin,s);
	for(i=0;i<n;i++){
		switch(s[i]){
			case 'A': b[0]++; break;
			case 'B': b[1]++; break;
			case 'C': b[2]++; break;
			case 'D': b[3]++; break;
			case 'E': b[4]++; break;
			case 'F': b[5]++; break;
			case 'G': b[6]++; break;
			case 'H': b[7]++; break;
			case 'I': b[8]++; break;
			case 'J': b[9]++; break;
			case 'K': b[10]++; break;
			case 'L': b[11]++; break;
			case 'M': b[12]++; break;
			case 'N': b[13]++; break;
			case 'O': b[14]++; break;
			case 'P': b[15]++; break;
			case 'Q': b[16]++; break;
			case 'R': b[17]++; break;
			case 'S': b[18]++; break;
			case 'T': b[19]++; break;
			case 'U': b[20]++; break;
			case 'V': b[21]++; break;
			case 'W': b[22]++; break;
			case 'X': b[23]++; break;
			case 'Y': b[24]++; break;
			case 'Z': b[25]++; break;
			default: break;
		}
	}
	for(i=0;i<26;i++){
		if(b[i]>0){
			r=r*b[i];
			r=r%1000000007;
		}
	}
	cout<<r;
	
	return 0;
}